package com.jeesite.modules.yinet.service;

import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.yinet.entity.YinetMessage;
import com.jeesite.modules.yinet.dao.YinetMessageDao;

/**
 * yinet_messageService
 * @author xqx
 * @version 2022-06-16
 */
@Service
@Transactional(readOnly=true)
public class YinetMessageService extends CrudService<YinetMessageDao, YinetMessage> {

	/**
	 * 获取单条数据
	 * @param yinetMessage
	 * @return
	 */
	@Override
	public YinetMessage get(YinetMessage yinetMessage) {
		return super.get(yinetMessage);
	}

	/**
	 * 查询分页数据
	 * @param yinetMessage 查询条件
	 * @param yinetMessage.page 分页对象
	 * @return
	 */
	@Override
	public Page<YinetMessage> findPage(YinetMessage yinetMessage) {
		return super.findPage(yinetMessage);
	}

	/**
	 * 查询列表数据
	 * @param yinetMessage
	 * @return
	 */
	@Override
	public List<YinetMessage> findList(YinetMessage yinetMessage) {
		return super.findList(yinetMessage);
	}

	/**
	 * 保存数据（插入或更新）
	 * @param yinetMessage
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(YinetMessage yinetMessage) {
		super.save(yinetMessage);
	}

	/**
	 * 更新状态
	 * @param yinetMessage
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(YinetMessage yinetMessage) {
		super.updateStatus(yinetMessage);
	}

	/**
	 * 删除数据
	 * @param yinetMessage
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(YinetMessage yinetMessage) {
		super.delete(yinetMessage);
	}

}
